Skip to main content
POST
/
v1
/
admin
/
entra-configs
Create Entra config
curl --request POST \
  --url http://co-mind-platform-host/v1/admin/entra-configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tenantId": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>",
  "emailDomains": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "tenantId": "<string>",
  "clientId": "<string>",
  "emailDomains": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Supports two token types:

  • JWT Access Token — obtained via POST /v1/auth/login
  • Personal Access Token (PAT) — created via POST /v1/api-tokens, format: cmnd_<tokenId>.<secret>

Body

application/json
name
string
required
tenantId
string
required
clientId
string
required
clientSecret
string<password>
required
emailDomains
string[]

Response

Entra config created

id
string
name
string
tenantId
string
clientId
string
emailDomains
string[]
created_at
string<date-time>
updated_at
string<date-time>